Subject: Re: bug#42131: Cannot split to IMAP folders

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 11 Sep 2020 13:34:47 +0200

David Greene <[email-masked]> writes:

>> Hm, no, it's not used by these commands, 
>
> Which commands?

We were discussing `B q' and `B r', I think?

> No, I didn't set nnmail-split-fancy, but I did set nnimap-split-fancy
> and also nnimap-split-methods = nnimap-split-fancy.
>
> I set them via gnu-select-method:
>
>   (setq gnus-select-method '(nnimap "Local"
>                                     (nnimap-address "localhost")
>                                     (nnimap-authenticator login)
>                                     (nnimap-stream network)
>                                     (nnimap-inbox '("work/INBOX" "home/INBOX" "gmail/INBOX"))
>                                     (nnimap-split-fancy
>                                      (|
>                                       ("Subject:" "Nightly.*test results" "work/testing")
>                                       (from "myschool.org" "home/school")
>                                       ;; Really leave it where it is?
>                                       (nil)
>                                       ))
>                                     (nnimap-split-methods nnimap-split-fancy)

Ah, that's where it's coming from.  `B q' is this:

(defun gnus-summary-respool-query (&optional silent trace)

[...]

		 ;; nnimap has its own splitting variables.
		 (let ((nnmail-split-methods
			(cond
			 ((eq nnimap-split-methods 'default)
			  nnmail-split-methods)
			 (nnimap-split-methods
			  nnimap-split-methods)
			 (nnimap-split-fancy
			  'nnmail-split-fancy)))
		       (nnmail-split-fancy (or nnimap-split-fancy
					       nnmail-split-fancy)))

So I'm guessing your fallback nil means that the machinery is falling
back on the fallback group "mail.misc" for fancy mail splitting...
Hm...  but that should be shadowed here.  But I think we're on the trail
of the bug now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no